LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices

Reply
 
Search this Thread
Old 11-26-2009, 04:20 AM   #1
Poopzilla
LQ Newbie
 
Registered: Apr 2009
Posts: 3

Rep: Reputation: 0
PyQt4 fails install on CentOs


Hi

I'm trying to install PyQt4 from source on CentOS 5.4 with no success. It fails during make.

Here's my setup:
Code:
uname -a -> Linux 3d25 2.6.18-164.el5 #1 SMP Thu Sep 3 03:28:30 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux
rpm -q python -> python-2.4.3-27.el5
rpm -q qt4 -> qt4-4.2.1-1 (i386), qt4-4.2.1-1 (x86_64)

This is what i have done so far:

Code:
tar -xzvf sip-4.9.3.tar.gz
cd sip-4.9.3.tar
python configure.py
make
make install
--------
No errors so far
--------

Code:
tar-xzvf PyQt-x11-gpl-4.6.2.tar.gz
cd PyQt-x11-gpl-4.6.2
python configure.py --confirm-license --qmake=/usr/lib64/qt4/bin/qmake
make
-------
Error snippets
-------

Code:
Checking to see if the dbus support module should be built...
The Python dbus module doesn't seem to be installed.
--------------
/lib64/qt4/include/QtGui -I/usr/lib64/qt4/include/QtGui -I/usr/lib64/qt4/include -I/usr/include/python2.4 -I../../QtCore -I. -I. -o qpycore_pyqtproxy.o qpycore_pyqtproxy.cpp
qpycore_pyqtproxy.cpp: In destructor ‘virtual PyQtProxy::~PyQtProxy()’:
qpycore_pyqtproxy.cpp:263: error: no matching function for call to ‘QMultiHash<void*, PyQtProxy*>::remove(void*&, PyQtProxy* const)’
/usr/lib64/qt4/include/QtCore/qhash.h:709: note: candidates are: int QHash<Key, T>::remove(const Key&) [with Key = void*, T = PyQtProxy*]
qpycore_pyqtproxy.cpp:267: error: no matching function for call to ‘QMultiHash<void*, PyQtProxy*>::remove(void*&, PyQtProxy* const)’
/usr/lib64/qt4/include/QtCore/qhash.h:709: note: candidates are: int QHash<Key, T>::remove(const Key&) [with Key = void*, T = PyQtProxy*]
make[2]: *** [qpycore_pyqtproxy.o] Error 1
make[2]: Leaving directory `/software/PyQt-x11-gpl-4.6.2/qpy/QtCore'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/software/PyQt-x11-gpl-4.6.2/qpy'
make: *** [all] Error 2
Could it be incompatibilities with this old version of Python? I'm trying to set this up for a kickstart installation.

Any help appreciated
Thomas
 
Old 11-26-2009, 11:01 AM   #2
lazlow
Senior Member
 
Registered: Jan 2006
Posts: 4,362

Rep: Reputation: 172Reputation: 172
Do you have dbus-python, dbus-qt and dbus-qt-devel installed?
 
Old 11-30-2009, 06:19 AM   #3
Poopzilla
LQ Newbie
 
Registered: Apr 2009
Posts: 3

Original Poster
Rep: Reputation: 0
Quote:
Originally Posted by lazlow View Post
Do you have dbus-python, dbus-qt and dbus-qt-devel installed?
A whole bunch of different versions. Might be a problem...?

Code:
yum list installed dbus-*
Installed Packages
dbus.x86_64             1.1.2-12.el5     installed
dbus-devel.i386         1.1.2-12.el5     installed
dbus-devel.x86_64       1.1.2-12.el5     installed
dbus-glib.i386          0.73-8.el5       installed
dbus-glib.x86_64        0.73-8.el5       installed
dbus-libs.i386          1.1.2-12.el5     installed
dbus-libs.x86_64        1.1.2-12.el5     installed
dbus-python.x86_64      0.70-7.el5       installed
dbus-qt.i386            0.70-2.el5       installed
dbus-qt.x86_64          0.70-2.el5       installed
dbus-qt-devel.i386      0.70-2.el5       installed
dbus-qt-devel.x86_64    0.70-2.el5       installed
dbus-x11.x86_64         1.1.2-12.el5     installed
 
Old 01-06-2010, 12:40 PM   #4
nalaly
LQ Newbie
 
Registered: Jan 2010
Posts: 1

Rep: Reputation: 0
erros reported when build PyQt4 on CentOS5.4

I come acrossed the same problem with Thomas.

the former steps are ok.

when excute "make" in dir of "PyQt-x11-gpl-4.6.2", it reports error as follows:

PHP Code:
make[1]: Entering directory `/usr/src/PyQt-x11-gpl-4.6.2/qpy'
make[2]: Entering directory 
`/usr/src/PyQt-x11-gpl-4.6.2/qpy/QtCore'
g++ -c -pipe -fno-strict-aliasing -O2 -fPIC -Wall -W -D_REENTRANT  -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED -I../../../../lib/qt4/mkspecs/linux-g++ -I. -I../../../../lib/qt4/include/QtCore -I../../../../lib/qt4/include/QtCore -I../../../../lib/qt4/include/QtGui -I../../../../lib/qt4/include/QtGui -I../../../../lib/qt4/include -I../../../../include/python2.4 -I../../QtCore -I. -I. -o qpycore_pyqtproxy.o qpycore_pyqtproxy.cpp
qpycore_pyqtproxy.cpp: In destructor ‘virtual PyQtProxy::~PyQtProxy()’:
qpycore_pyqtproxy.cpp:263: error: no matching function for call to ‘QMultiHash<void*, PyQtProxy*>::remove(void*&, PyQtProxy* const)’
/usr/lib64/qt4/include/QtCore/qhash.h:709: note: candidates are: int QHash<Key, T>::remove(const Key&) [with Key = void*, T = PyQtProxy*]
qpycore_pyqtproxy.cpp:267: error: no matching function for call to ‘QMultiHash<void*, PyQtProxy*>::remove(void*&, PyQtProxy* const)’
/usr/lib64/qt4/include/QtCore/qhash.h:709: note: candidates are: int QHash<Key, T>::remove(const Key&) [with Key = void*, T = PyQtProxy*]
make[2]: *** [qpycore_pyqtproxy.o] Error 1
make[2]: Leaving directory `/software/PyQt-x11-gpl-4.6.2/qpy/QtCore'
make[1]: *** [allError 2
make
[1]: Leaving directory `/software/PyQt-x11-gpl-4.6.2/qpy'
make: *** [all] Error 2 
any ideas???
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] Porting Qt highlighting example code to PyQt4 Snouffelaire Programming 4 11-20-2009 01:02 PM
CentOS 5.2 network printing fails kel_en Red Hat 0 12-04-2008 03:43 PM
Python/PyQt4 - Newbie Structure question ocularb0b Programming 0 01-28-2008 10:42 AM
LXer: Install CentOS 5 DomU on CentOS 5 Dom0(64 bit) from NFS share LXer Syndicated Linux News 0 11-09-2007 04:41 AM
centos 4: up2date update fails pcandpc Linux - General 3 08-17-2005 09:07 PM


All times are GMT -5. The time now is 08:27 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration